# Prompt Name: tutorial_prompt

## Description
Step-by-step instruction template for teaching processes and skills.

## Tags
task: education
type: tutorial

## Template
Create a comprehensive {{ level }} tutorial on how to {{ task }} with {{ tool_or_method }}.

Structure the tutorial as follows:
1. Introduction
   - What will be learned and why it's valuable
   - Prerequisites and materials needed
   - Estimated time to complete

2. Background
   - Brief context about {{ tool_or_method }}
   - Why this approach is effective for {{ task }}

3. Step-by-Step Instructions
   - Break down the process into clear, manageable steps
   - Include detailed explanations for each step
   - Highlight potential pitfalls or common mistakes

4. Examples
   - Provide concrete examples or use cases
   - Include sample code/templates if applicable

5. Troubleshooting
   - Address common issues and their solutions

6. Next Steps
   - Suggestions for further learning or practice
   - Advanced techniques to explore

Use a {{ tone }} tone appropriate for the {{ level }} audience. Include relevant tips, best practices, and helpful resources throughout.